BrokerRequestSender
Keywords: uk.ac.ic.doc.automed.p2p.BrokerRequestSender class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.p2p
Class BrokerRequestSender

    java.lang.Object
      uk.ac.ic.doc.automed.p2p.BrokerRequestSender

    public class BrokerRequestSender

extends java.lang.Object

Constructor Summary
`BrokerRequestSender()`

Method Summary
`uk.ac.ic.doc.automed.p2p.messages.applicationlayer.TellBrokerQuery` | `send(uk.ac.ic.doc.automed.p2p.messages.applicationlayer.BrokerAllQuery query, java.util.Collection receivers)`
`uk.ac.ic.doc.automed.p2p.messages.applicationlayer.TellBrokerQuery` | `send(uk.ac.ic.doc.automed.p2p.messages.applicationlayer.BrokerAllQuery query, PeerDescription receiver)`
`uk.ac.ic.doc.automed.p2p.messages.applicationlayer.TellBrokerQuery` | `send(java.lang.String query, java.lang.String schema, PeerDescription receiver)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BrokerRequestSender

    public BrokerRequestSender()

Method Detail

### send

    public uk.ac.ic.doc.automed.p2p.messages.applicationlayer.TellBrokerQuery send(uk.ac.ic.doc.automed.p2p.messages.applicationlayer.BrokerAllQuery query,
                                                                                   PeerDescription receiver)
                                                                            throws uk.ac.ic.doc.automed.p2p.messages.abstractlayer.MalformedMessageException,
                                                                                   CommunicationException,
                                                                                   java.io.IOException,
                                                                                   UnsuccessfulReplyException

  Throws:
    `uk.ac.ic.doc.automed.p2p.messages.abstractlayer.MalformedMessageException`
    `CommunicationException`
    `java.io.IOException`
    `UnsuccessfulReplyException`

### send

    public uk.ac.ic.doc.automed.p2p.messages.applicationlayer.TellBrokerQuery send(java.lang.String query,
                                                                                   java.lang.String schema,
                                                                                   PeerDescription receiver)
                                                                            throws uk.ac.ic.doc.automed.p2p.messages.abstractlayer.MalformedMessageException,
                                                                                   CommunicationException,
                                                                                   java.io.IOException,
                                                                                   UnsuccessfulReplyException

  Throws:
    `uk.ac.ic.doc.automed.p2p.messages.abstractlayer.MalformedMessageException`
    `CommunicationException`
    `java.io.IOException`
    `UnsuccessfulReplyException`

### send

    public uk.ac.ic.doc.automed.p2p.messages.applicationlayer.TellBrokerQuery send(uk.ac.ic.doc.automed.p2p.messages.applicationlayer.BrokerAllQuery query,
                                                                                   java.util.Collection receivers)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD